Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1872583 - Review Request: golang-github-d5-tengo-2 - Fast script language for Go
Summary: Review Request: golang-github-d5-tengo-2 - Fast script language for Go
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1872571 1882565
TreeView+ depends on / blocked
 
Reported: 2020-08-26 06:58 UTC by Fabian Affolter
Modified: 2020-11-25 01:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-25 01:35:16 UTC
Type: ---
Embargoed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-08-26 06:58:45 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-d5-tengo.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-d5-tengo-2.6.0-1.fc32.src.rpm

Project URL: https://github.com/d5/tengo

Description:
A fast script language for Go.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=50172531

rpmlint output:
$ rpmlint golang-github-d5-tengo-2.6.0-1.fc32.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint golang-github-d5-tengo-devel-2.6.0-1.fc32.noarch.rpm
golang-github-d5-tengo-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/d5/tengo/.goipath
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-08-27 18:33:29 UTC
I changed a bit how we deal with modules vX:

 - use this import path: github.com/d5/tengo/v2

 - rename the spec golang-github-d5-tengo-2

 - Package only cmd/tengo, the bench thing and stdlib does concern us

%gobuild -o %{gobuilddir}/bin/tengo %{goipath}/cmd/tengo

Comment 2 Fabian Affolter 2020-09-15 07:02:51 UTC
(In reply to Robert-André Mauchin 🐧 from comment #1)
> I changed a bit how we deal with modules vX:
> 
>  - use this import path: github.com/d5/tengo/v2

Changed

>  - rename the spec golang-github-d5-tengo-2

Renamed

>  - Package only cmd/tengo, the bench thing and stdlib does concern us
> 
> %gobuild -o %{gobuilddir}/bin/tengo %{goipath}/cmd/tengo

Changed

%changelog
* Tue Sep 15 2020 Fabian Affolter <mail> - 2.6.0-2
- Rename package and adjust path
- Limit binary part (rhbz#1872583)

Comment 4 Fabian Affolter 2020-09-15 07:06:39 UTC
%changelog
* Tue Sep 15 2020 Fabian Affolter <mail> - 2.6.1-1
- Update to latest upstream release 2.6.1

Updated files:
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-d5-tengo-2.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-d5-tengo-2-2.6.1-1.fc32.src.rpm

Comment 5 Robert-André Mauchin 🐧 2020-11-06 08:02:18 UTC
Package approved.

Comment 6 Fabian Affolter 2020-11-08 14:33:23 UTC
Thanks

Comment 7 Gwyn Ciesla 2020-11-09 16:22:21 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-d5-tengo-2

Comment 8 Fedora Update System 2020-11-16 09:18:41 UTC
FEDORA-2020-307c7d175f has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-307c7d175f

Comment 9 Fedora Update System 2020-11-17 02:34:28 UTC
FEDORA-2020-307c7d175f has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-307c7d175f \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-307c7d175f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-11-25 01:35:16 UTC
FEDORA-2020-307c7d175f has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.